{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'Database Migration' %}{% endblock %}

{% block head %}
<!-- <link rel="stylesheet" type="text/css" href="{% static 'css/backupdb_time.css' %}" /> -->
{% endblock head %}

{% block content %}
  <div style="text-align:center; margin:30px 0;">
    <h1>Database Migrations Config</h1>
  </div>

  <div id="" style="height: 100%; width: 100%">
    <form action="/data/migration/" method="post" enctype="multipart/form-data" name="migration_form">
        <table rules="none" cellspacing=0 cellpadding=0 style="margin: 0px auto;">
            <tbody>
            <tr>
                <td valign="middle">
                    From
                </td>
                <td valign="middle" align="left">
                    <input name="source_from" value="wdms5" type="radio" checked="checked">
                    WDMS5
<!--                     <input name="source_from" value="WDMS6" type="radio">
                    WDMS6 -->
                </td>
            </tr>
            <tr>
              <td valign="middle">
                  Databases Type
              </td>
              <td valign="middle" align="left">
                  <div>
                  <select name="database_type" style="width:150px">
                    <option value="">--------</option>
                    <option value="sqlserver">sqlserver</option>
                    <option value="mysql">mysql</option>
                    <option value="postgresql">postgresql</option>
                  </select>
                  </div>
              </td>
            </tr>
            <tr>
                <td valign="middle">
                    Host
                </td>
                <td align="left">
                  <input type="text" name="host" style="width:138px" value='{{ conn_msg.host }}'>
                </td>
            </tr>
            <tr>
                <td valign="middle">
                    Port
                </td>
                <td align="left">
                  <input type="text" name="port" style="width:138px" value='{{ conn_msg.port }}'>
                </td>
            </tr>
            <tr>
                <td valign="middle">
                    User Name
                </td>
                <td align="left">
                  <input type="text" name="user_name" style="width:138px" value='{{ conn_msg.user }}'>
                </td>
            </tr>
            <tr>
                <td valign="middle">
                    Password
                </td>
                <td align="left">
                  <input type="text" name="password" style="width:138px" value='{{ conn_msg.password }}'>
                </td>
            </tr>
            <tr>
                <td valign="middle">
                    Database
                </td>
                <td align="left">
                  <input type="text" name="database" style="width:138px" value='{{ conn_msg.database }}'>
                </td>
            </tr>

<!--             <tr><td colspan="2">&nbsp;</td></tr>
            <tr><td colspan="2"><input type=button name="" value="import" onclick="submit_form(this.form)"></td> -->
        </tbody>
      </table>
      <br />
      <div>
        <div style="width:220px; margin: auto;">
          <a href="#" id="test_conn_button" class='func_button' onclick="test_conn(this.form)" style="float:left; color:white; text-align:center">TestConn</a>
          <a href="#" id="save_form" class='func_button' onclick="save_form(this.form)" style="float:right; color:white; text-align:center">SAVE</a>
        </div>
      </div>
      <div>
        <div style="width:220px; margin: auto;">
          <!-- <a href="#" id="start_migration" class='func_button' onclick="submit_form(this.form)" style="float:left; color:white; text-align:center">START</a>
          <a href="/data/migration_get_logfile" id="get_log" class='func_button' style="float:right; color:white; text-align:center">GET LOG</a> -->
        </div>
      </div>
      </div>
      <br />
    </form>
    <br />
    <div style="position: relative; top: 40px; left: 50px">
      <p style="text-indent: 34.6em; margin-top: 10px">
      <em>
        * We only provide TestConn and Save configuration function for database security.
      <em>
      </p>
      <p style="text-indent: 34.6em;">
      <em>
        If you want to Migration your data, contact us please.
      <em>
      </p>
    </div>
      <br />
      <br />
      <br />


<script type="text/javascript">
function submit_form(form) {
    // document.migration_form.submit();
    alert('It will take a few minutes...')
    source_from = $("input[name='source_from']").val()
    database_type = $("select[name='database_type']").val()
    host = $("input[name='host']").val()
    port = $("input[name='port']").val()
    user_name = $("input[name='user_name']").val()
    password = $("input[name='password']").val()
    database = $("input[name='database']").val()
    $.post("/data/migration/",
    {
      source_from:source_from,
      database_type:database_type,
      host:host,
      port:port,
      user_name:user_name,
      password:password,
      database:database,
    },
    function(data){
      alert('You can see the log file in .../WDMS/logging/migration_log.txt')
      alert(data)
      setTimeout( function(){
        $.post("/data/migration_save_dbmsg/",
        {
          source_from:'source_from',
          database_type:'database_type',
          host:'host',
          port:'port',
          user_name:'user_name',
          password:'password',
          database:'database',
        },
        function(data){
          ;
        })
      }, 10 * 1000 )
    })
}

function test_conn(form) {
    source_from = $("input[name='source_from']").val()
    database_type = $("select[name='database_type']").val()
    host = $("input[name='host']").val()
    port = $("input[name='port']").val()
    user_name = $("input[name='user_name']").val()
    password = $("input[name='password']").val()
    database = $("input[name='database']").val()
    $.post("/data/migration_test_conn/",
    {
      source_from:source_from,
      database_type:database_type,
      host:host,
      port:port,
      user_name:user_name,
      password:password,
      database:database,
    },
    function(data){
      alert(data)
    })
}

function save_form(form) {
    source_from = $("input[name='source_from']").val()
    database_type = $("select[name='database_type']").val()
    host = $("input[name='host']").val()
    port = $("input[name='port']").val()
    user_name = $("input[name='user_name']").val()
    password = $("input[name='password']").val()
    database = $("input[name='database']").val()
    $.post("/data/migration_save_dbmsg/",
    {
      source_from:source_from,
      database_type:database_type,
      host:host,
      port:port,
      user_name:user_name,
      password:password,
      database:database,
    },
    function(data){
      alert(data)
    })
}
</script>

<style type="text/css">
.func_button{
    width:60px;
    background:#4490f7;
    margin-top:10px;
    padding:8px 20px;
    border-radius:5px;
    opacity:0.6;
    filter:alpha(opacity=60);
}
</style>
{% endblock content %}